GNU bug report logs - #45037
Makefiles <TAB>...: gets wrong color

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #17400, #33681, #33900, #35299, #36245, #37934, #46052, #46221, #48052; dated Fri, 4 Dec 2020 01:26:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17400 33681 33900 35299 36245 37934 45037 46052 46221 48052. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037 46052 46221. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 17400 33681 33900 35299 36245 45037 46052. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2020 01:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 03 20:25:18 2020
Received: from localhost ([127.0.0.1]:42276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkzqY-0004XG-FY
	for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 20:25:18 -0500
Received: from lists.gnu.org ([209.51.188.17]:33026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1kkzqX-0004X7-Fm
 for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 20:25:17 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48990)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1kkzqX-0005a3-7h
 for bug-gnu-emacs@HIDDEN; Thu, 03 Dec 2020 20:25:17 -0500
Received: from purple.birch.relay.mailchannels.net ([23.83.209.150]:59678)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1kkzqU-0001yv-5I
 for bug-gnu-emacs@HIDDEN; Thu, 03 Dec 2020 20:25:16 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 6564B48035F
 for <bug-gnu-emacs@HIDDEN>; Fri,  4 Dec 2020 01:25:10 +0000 (UTC)
Received: from pdx1-sub0-mail-a38.g.dreamhost.com
 (100-100-138-63.trex.outbound.svc.cluster.local [100.100.138.63])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 04D7848138D
 for <bug-gnu-emacs@HIDDEN>; Fri,  4 Dec 2020 01:25:10 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a38.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.11); Fri, 04 Dec 2020 01:25:10 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Obese-Language: 6705e24f3e7cbb07_1607045110235_89385780
X-MC-Loop-Signature: 1607045110235:437198381
X-MC-Ingress-Time: 1607045110235
Received: from pdx1-sub0-mail-a38.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a38.g.dreamhost.com (Postfix) with ESMTP id AC6DC7E677
 for <bug-gnu-emacs@HIDDEN>; Thu,  3 Dec 2020 17:25:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=iJnbl4AtUEfc8TVJZvhfQgSrCk4=; b=CsD/qhWwHrR0BnT7
 O62DW/xDhqgqg+BAbKA/SVcYDoIn13lX7x1JFFazvdWXWFbQUQN6U0+khAltmj54
 vaot9bKsW5FmeXTL3YOOWbriA5JKx9mctHMmC4G5+dZdPPNtbI9naLYCLsKbOF51
 QcahYouqyf5evIalvl+rvxJ2E/s=
Received: from jidanni.org (114-46-61-217.dynamic-ip.hinet.net [114.46.61.217])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a38.g.dreamhost.com (Postfix) with ESMTPSA id 0BFE585A8B
 for <bug-gnu-emacs@HIDDEN>; Thu,  3 Dec 2020 17:25:09 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a38
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Makefiles <TAB>...: gets wrong color
Date: Fri, 04 Dec 2020 09:19:23 +0800
Message-ID: <87eek65pwk.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=23.83.209.150; envelope-from=jidanni@HIDDEN;
 helo=purple.birch.relay.mailchannels.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

$ cat Makefile
u:
	for u in ha jia fen ping; do echo -n $$u:; \
	units --one-line --compact $m $$u; done
$ emacs -nw -Q Makefile

The 'for' line is in the wrong color.

Probably triggered by the colon near the end.

But there is a tab at the front of the line!

So it should know better.

emacs-version "27.1"




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45037; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Apr 2021 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.